Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023203
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2013-03-01 10:222013-03-04 11:13
ReportermalsasuaView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0MP21
StatusclosedFix in branchFixed in SCM revision64b9dc19a8d3
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toshankarb
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-01-25
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/d0d2ca046bbb2b054d43a31a4cba76d02949e4e0 [^]
Triggers an Emergency PackNo
Summary

0023203: filter does not work with creation date fields

DescriptionIn grid mode, if you try apply a filter in a "creation date" column, error is returned
Steps To Reproduce. go to "user" window
. in grid mode, apply the next filter in "creation date" column:
 . from date: 16-01-2013
 . to date: 16-01-2013

Error:
Invalid filter value 2013-01-16.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037079 closedcaristu more records than expected are fetched when filtering by date ranges 
related to design defect 0040794 newplatform Is not possible to filter a DateTime column by time 
related to defect 0040802 closedcaristu Use as filter option is not working properly with date columns 

-  Notes
(0056897)
hgbot (developer)
2013-03-01 13:39

Repository: erp/devel/pi
Changeset: 64b9dc19a8d35fd10617e15e738a06e55c357b67
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Mar 01 13:37:03 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/64b9dc19a8d35fd10617e15e738a06e55c357b67 [^]

Fixes issue 23203: Filter works with DateTime fields

With the fix of https://issues.openbravo.com/view.php?id=22885, [^] when a Date or DateTime column is filtered, plain Dates are send as criteria. This is done to prevent Date from being converted to its UTC format. The AdvancedQueryBuilder was not prepared for this change, and was expecting a full Date and Time value for DateTime columns. Now it first try to parse the value as a DateTime and if it's not possible it tries to parse the value as a Date.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0056948)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test
(0056981)
shankarb (developer)
2013-03-04 11:13

Code reviewed and verified in pi changeset c0bbe5ba062a.

- Issue History
Date Modified Username Field Change
2013-03-01 10:22 malsasua New Issue
2013-03-01 10:22 malsasua Assigned To => AugustoMauch
2013-03-01 10:22 malsasua Web browser => Google Chrome
2013-03-01 10:22 malsasua Modules => Core
2013-03-01 10:22 malsasua Triggers an Emergency Pack => No
2013-03-01 13:17 AugustoMauch Issue Monitored: shankarb
2013-03-01 13:18 AugustoMauch Web browser Google Chrome => Google Chrome
2013-03-01 13:18 AugustoMauch Regression level => Production - QA Approved
2013-03-01 13:18 AugustoMauch Regression date => 2013-01-25
2013-03-01 13:18 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/d0d2ca046bbb2b054d43a31a4cba76d02949e4e0 [^]
2013-03-01 13:18 AugustoMauch Review Assigned To => shankarb
2013-03-01 13:18 AugustoMauch Web browser Google Chrome => Google Chrome
2013-03-01 13:39 hgbot Checkin
2013-03-01 13:39 hgbot Note Added: 0056897
2013-03-01 13:39 hgbot Status new => resolved
2013-03-01 13:39 hgbot Resolution open => fixed
2013-03-01 13:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/64b9dc19a8d35fd10617e15e738a06e55c357b67 [^]
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056948
2013-03-04 11:13 shankarb Note Added: 0056981
2013-03-04 11:13 shankarb Status resolved => closed
2013-03-04 11:13 shankarb Fixed in Version => 3.0MP21
2017-11-28 12:48 caristu Relationship added related to 0037079
2019-05-07 11:21 caristu Relationship added related to 0040794
2019-05-20 16:25 caristu Relationship added related to 0040802


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker